[2/2] nss-pam-ldapd: add required distro feature check for pam

Submitted by mingli.yu@windriver.com on June 27, 2019, 8:49 a.m. | Patch ID: 162554

Details

Message ID 1561625378-149930-2-git-send-email-mingli.yu@windriver.com
State New
Headers show

Commit Message

mingli.yu@windriver.com June 27, 2019, 8:49 a.m.
From: Mingli Yu <Mingli.Yu@windriver.com>

As nss-pam-ldapd depends on libpam, it should do
required distro feature check for pam.

Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com>
---
 recipes-support/nss-pam-ldapd/nss-pam-ldapd_0.9.8.bb | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/recipes-support/nss-pam-ldapd/nss-pam-ldapd_0.9.8.bb b/recipes-support/nss-pam-ldapd/nss-pam-ldapd_0.9.8.bb
index 404aeca..dfa562f 100644
--- a/recipes-support/nss-pam-ldapd/nss-pam-ldapd_0.9.8.bb
+++ b/recipes-support/nss-pam-ldapd/nss-pam-ldapd_0.9.8.bb
@@ -20,7 +20,8 @@  SRC_URI = "\
 	file://nslcd.service \
 	"
 
-inherit autotools
+inherit autotools distro_features_check
+REQUIRED_DISTRO_FEATURES = "pam"
 
 SRC_URI[md5sum] = "8c99fdc54f4bf9aca8c5f53fdb1403ff"
 SRC_URI[sha256sum] = "ef7362e7f2003da8c7beb7bcc03c30494acf712625aaac8badc6e7eb16f3453f"